<template>
  <div class="hello">
    <h1>{{ msg }}</h1>
    loading: {{ loading }}
  </div>
</template>

<script>
import { onMounted, computed } from 'vue';
import { useStore } from 'vuex';
import DeliveryService from '@/services/DeliveryService';

export default {
  name: 'TestComponent',

  setup () {
    const store = useStore();
    const loading = computed(() => store.state.loadingProgress);

    onMounted(async () => {
      const dSrv = new DeliveryService();
      await dSrv.check('almaty');
    });

    return {
      loading,
    };
  }
}

</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
